Subject: Re: [RFC NET_SCHED 00/02]: Flexible SFQ flow classification

From: Patrick McHardy <[email-masked]>
Date: Wed, 30 May 2007 17:32:08 +0200

Andy Furniss wrote:
> Patrick McHardy wrote:
> 
>> It currently does not support perturbation, I didn't want to move this
>> into
>> the classifier, so I need to think about a way to handle it within SFQ.
>>
> 
> Cool, but isn't this going to show the same collision problems that the
> pre jhash esfq saw?

Perturbation doesn't prevent collisions, it just distributes them
(hopefully evenly). My classifier uses jhash, but that won't prevent
collisions either. Anyways, I'm going to change SFQ so perturbation
can also be used with external classifiers.